package com.lz.modules.sys.entity.app;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
/**
* <p>
* </p>*业绩记录表
* @author quyixiao
* @since 2020-10-23
*/

@Data
@TableName("lz_result_record")
@ApiModel(value = "业绩记录表")
public class ResultRecord implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除状态，1：删除，0：有效
    @ApiModelProperty(value = "是否删除状态，1：删除，0：有效", name = "isDelete")
    private Integer isDelete;
    //创建时间
    @ApiModelProperty(value = "创建时间", name = "gmtCreate")
    private Date gmtCreate;
    //最后修改时间
    @ApiModelProperty(value = "最后修改时间", name = "gmtModified")
    private Date gmtModified;
    //月份
    @ApiModelProperty(value = "月份", name = "monthTime")
    private Date monthTime;
    //0.新建，1 提交审批中，2 拒绝, 3 侍提交 ，4 审批通过,5 驳回，6申述，7 流程终止
    @ApiModelProperty(value = "0.新建，1 提交审批中，2 拒绝, 3 侍提交 ，4 审批通过,5 驳回，6申述，7 流程终止", name = "status")
    private Integer status;
    //最后得分
    @ApiModelProperty(value = "最后得分", name = "lastScore")
    private BigDecimal lastScore;
    //总分
    @ApiModelProperty(value = "总分", name = "allScore")
    private BigDecimal allScore;
    //备注
    @ApiModelProperty(value = "备注", name = "remark")
    private String remark;
    //员工id
    @ApiModelProperty(value = "员工id", name = "staffId")
    private Long staffId;
    //类型 ,1 表示提交目标，2 表示提交结果
    @ApiModelProperty(value = "类型 ,1 表示提交目标，2 表示提交结果", name = "type")
    private Integer type;
    //当前审批流转所在员工 id
    @ApiModelProperty(value = "当前审批流转所在员工 id", name = "flowStaffIdRole")
    private String flowStaffIdRole;
    //员工所在部门 id
    @ApiModelProperty(value = "员工所在部门 id", name = "departmentId")
    private String departmentId;
    //员工所在部门名称
    @ApiModelProperty(value = "员工所在部门名称", name = "departmentName")
    private String departmentName;
    //员工姓名
    @ApiModelProperty(value = "员工姓名", name = "staffName")
    private String staffName;
    //当前审批的员工 id
    @ApiModelProperty(value = "当前审批的员工 id", name = "currentApprovalStaffId")
    private Long currentApprovalStaffId;
    //当前审批的员工名，以逗号隔开
    @ApiModelProperty(value = "当前审批的员工名，以逗号隔开", name = "currentApprovalStaffName")
    private String currentApprovalStaffName;
    //等级
    @ApiModelProperty(value = "等级", name = "scoreLevel")
    private String scoreLevel;
    //发起考核次数
    @ApiModelProperty(value = "发起考核次数", name = "startId")
    private Long startId;
    //当前是目标确认还是评分，0，目标制定，1，目标确认，2执行中，3，结果值录入，4，评分，5考核结束
    @ApiModelProperty(value = "当前是目标确认还是评分，0，目标制定，1，目标确认，2执行中，3，结果值录入，4，评分，5考核结束", name = "flowProcess")
    private Integer flowProcess;
    //考核组id
    @ApiModelProperty(value = "考核组id", name = "evaluationId")
    private Long evaluationId;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 月份 
     * @return
     */
    public Date getMonthTime() {
        return monthTime;
    }
    /**
     * 月份 
     * @param monthTime
     */
    public void setMonthTime(Date monthTime) {
        this.monthTime = monthTime;
    }

    /**
     * 0.新建，1 提交审批中，2 拒绝, 3 侍提交 ，4 审批通过,5 驳回，6申述，7 流程终止 
     * @return
     */
    public Integer getStatus() {
        return status;
    }
    /**
     * 0.新建，1 提交审批中，2 拒绝, 3 侍提交 ，4 审批通过,5 驳回，6申述，7 流程终止 
     * @param status
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 最后得分 
     * @return
     */
    public BigDecimal getLastScore() {
        return lastScore;
    }
    /**
     * 最后得分 
     * @param lastScore
     */
    public void setLastScore(BigDecimal lastScore) {
        this.lastScore = lastScore;
    }

    /**
     * 总分 
     * @return
     */
    public BigDecimal getAllScore() {
        return allScore;
    }
    /**
     * 总分 
     * @param allScore
     */
    public void setAllScore(BigDecimal allScore) {
        this.allScore = allScore;
    }

    /**
     * 备注 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 备注 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 员工id 
     * @return
     */
    public Long getStaffId() {
        return staffId;
    }
    /**
     * 员工id 
     * @param staffId
     */
    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    /**
     * 类型 ,1 表示提交目标，2 表示提交结果 
     * @return
     */
    public Integer getType() {
        return type;
    }
    /**
     * 类型 ,1 表示提交目标，2 表示提交结果 
     * @param type
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 当前审批流转所在员工 id 
     * @return
     */
    public String getFlowStaffIdRole() {
        return flowStaffIdRole;
    }
    /**
     * 当前审批流转所在员工 id 
     * @param flowStaffIdRole
     */
    public void setFlowStaffIdRole(String flowStaffIdRole) {
        this.flowStaffIdRole = flowStaffIdRole;
    }

    /**
     * 员工所在部门 id 
     * @return
     */
    public String getDepartmentId() {
        return departmentId;
    }
    /**
     * 员工所在部门 id 
     * @param departmentId
     */
    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    /**
     * 员工所在部门名称 
     * @return
     */
    public String getDepartmentName() {
        return departmentName;
    }
    /**
     * 员工所在部门名称 
     * @param departmentName
     */
    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    /**
     * 员工姓名 
     * @return
     */
    public String getStaffName() {
        return staffName;
    }
    /**
     * 员工姓名 
     * @param staffName
     */
    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    /**
     * 当前审批的员工 id 
     * @return
     */
    public Long getCurrentApprovalStaffId() {
        return currentApprovalStaffId;
    }
    /**
     * 当前审批的员工 id 
     * @param currentApprovalStaffId
     */
    public void setCurrentApprovalStaffId(Long currentApprovalStaffId) {
        this.currentApprovalStaffId = currentApprovalStaffId;
    }

    /**
     * 当前审批的员工名，以逗号隔开 
     * @return
     */
    public String getCurrentApprovalStaffName() {
        return currentApprovalStaffName;
    }
    /**
     * 当前审批的员工名，以逗号隔开 
     * @param currentApprovalStaffName
     */
    public void setCurrentApprovalStaffName(String currentApprovalStaffName) {
        this.currentApprovalStaffName = currentApprovalStaffName;
    }

    /**
     * 等级 
     * @return
     */
    public String getScoreLevel() {
        return scoreLevel;
    }
    /**
     * 等级 
     * @param scoreLevel
     */
    public void setScoreLevel(String scoreLevel) {
        this.scoreLevel = scoreLevel;
    }

    /**
     * 发起考核次数 
     * @return
     */
    public Long getStartId() {
        return startId;
    }
    /**
     * 发起考核次数 
     * @param startId
     */
    public void setStartId(Long startId) {
        this.startId = startId;
    }

    /**
     * 当前是目标确认还是评分，0，目标制定，1，目标确认，2执行中，3，结果值录入，4，评分，5考核结束 
     * @return
     */
    public Integer getFlowProcess() {
        return flowProcess;
    }
    /**
     * 当前是目标确认还是评分，0，目标制定，1，目标确认，2执行中，3，结果值录入，4，评分，5考核结束 
     * @param flowProcess
     */
    public void setFlowProcess(Integer flowProcess) {
        this.flowProcess = flowProcess;
    }

    /**
     * 考核组id 
     * @return
     */
    public Long getEvaluationId() {
        return evaluationId;
    }
    /**
     * 考核组id 
     * @param evaluationId
     */
    public void setEvaluationId(Long evaluationId) {
        this.evaluationId = evaluationId;
    }

    @Override
    public String toString() {
        return "ResultRecord{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",monthTime=" + monthTime +
                ",status=" + status +
                ",lastScore=" + lastScore +
                ",allScore=" + allScore +
                ",remark=" + remark +
                ",staffId=" + staffId +
                ",type=" + type +
                ",flowStaffIdRole=" + flowStaffIdRole +
                ",departmentId=" + departmentId +
                ",departmentName=" + departmentName +
                ",staffName=" + staffName +
                ",currentApprovalStaffId=" + currentApprovalStaffId +
                ",currentApprovalStaffName=" + currentApprovalStaffName +
                ",scoreLevel=" + scoreLevel +
                ",startId=" + startId +
                ",flowProcess=" + flowProcess +
                ",evaluationId=" + evaluationId +
                "}";
    }
}